function [im_non_sr,im_non_sg,im_non_sb]= shadow_recover(im_s,im_matte_r,im_matte_g,im_matte_b)



im_sr = double(im_s(:,:,1));
im_sr = log(im_sr + 14);
im_non_sr = im_sr + im_matte_r;

im_non_sr = exp(im_non_sr) - 14;



im_sg = double(im_s(:,:,2));
im_sg= log(im_sg + 14);
im_non_sg = im_sg + im_matte_g;

im_non_sg = exp(im_non_sg) - 14;


im_sb = double(im_s(:,:,3));
im_sb= log(im_sb + 14);
im_non_sb = im_sb + im_matte_b;

im_non_sb = exp(im_non_sb) - 14;


%         figure(2);subplot(1,5,1);imshow(tmp_lg2(:,:,1),[]); title('Orig shadow')
%         subplot(1,5,2);imshow(I_r_logr,[]);title('recover shadow free')
%          subplot(1,5,3);imshow(tmp_lg1(:,:,1),[]);title('Orig shadow free')
%         subplot(1,5,4);imshow(I_logr,[]); title('shadow matte')
%
%
%         subplot(1,5,5);imshow(I_logr1,[]);title('orig matte')
%         impixelinfo;
